#include<bits/stdc++.h>

using namespace std;

int main() {
	int t,n;
	
	cin>>t;
	for (int i=0;i<t;i++){
		cin>>n;
		int resenje=10;
		vector<bool>postoji(false,n);
		for (int i=0;i<=10;i++)postoji[i]=true;
		if(n<10)cout<<n<<endl;
		else if(n<=20)cout<<10<<endl;
		else{
			for (int i=21;i<=n;i++){
				int broj=i%10*(i-i%10)/10;
				if(!postoji[broj]){
					resenje++;
					postoji[broj]=true;
				}
			}
			cout<<resenje<<endl;
		}
	}
	return 0;
}